package com.bernard.greposimu.model.game.units;

import java.util.Map;
import java.util.Set;

import com.bernard.greposimu.model.game.God;
import com.bernard.greposimu.model.game.Resources;
import com.bernard.greposimu.model.game.researches.Research;

public class TerrestrialUnit extends Unit{

	int attack;
	FightType attackType;
	
	int pierceDef;
	int hackDef;
	int distanceDef;
	int booty;
	
	boolean flight;

	public TerrestrialUnit(String id, String name, String description, int population, int speed, boolean mythological, God god,
			Resources buildCost, int favorCost, int buildTime, Set<Research> research_dependencies,
			Map<String, Integer> building_dependencies,int attack, FightType attackType, int pierceDef, int hackDef, int distanceDef, int booty,
			boolean flight) {
		this.id = id;
		this.name = name;
		this.description = description;
		this.population = population;
		this.speed = speed;
		this.mythological = mythological;
		this.god = god;
		this.buildCost = buildCost;
		this.favorCost = favorCost;
		this.buildTime = buildTime;
		this.research_dependencies = research_dependencies;
		this.building_dependencies = building_dependencies;
		this.attack = attack;
		this.attackType = attackType;
		this.pierceDef = pierceDef;
		this.hackDef = hackDef;
		this.distanceDef = distanceDef;
		this.booty = booty;
		this.flight = flight;
	}

	public int getAttack() {
		return attack;
	}

	public FightType getAttackType() {
		return attackType;
	}

	public int getPierceDef() {
		return pierceDef;
	}

	public int getHackDef() {
		return hackDef;
	}

	public int getDistanceDef() {
		return distanceDef;
	}

	public int getBooty() {
		return booty;
	}

	public boolean isFlight() {
		return flight;
	}
	
	@Override
	public boolean isGround() {
		return true;
	}
}
